import { Color } from '../../model/color';
import { Foldable } from '../../model/foldable';
import { InputValue } from '../../model/input-value';
import { View, ViewConfig } from '../view';
import { APaletteInputView } from './a-palette';
import { ColorComponentTextsInputView } from './color-component-texts';
import { HPaletteInputView } from './h-palette';
import { SvPaletteInputView } from './sv-palette';
interface Config extends ViewConfig {
    aPaletteInputView: APaletteInputView | null;
    componentTextsView: ColorComponentTextsInputView;
    foldable: Foldable;
    hPaletteInputView: HPaletteInputView;
    svPaletteInputView: SvPaletteInputView;
    value: InputValue<Color>;
}
/**
 * @hidden
 */
export declare class ColorPickerInputView extends View {
    readonly foldable: Foldable;
    readonly value: InputValue<Color>;
    private aPaletteView_;
    private hPaletteView_;
    private compTextsView_;
    private svPaletteView_;
    constructor(document: Document, config: Config);
    get allFocusableElements(): HTMLElement[];
    update(): void;
    private onValueChange_;
    private onFoldableChange_;
}
export {};
